# C# SNMP Library (aka #SNMP)

[![NuGet Version](https://img.shields.io/nuget/v/Lextm.SharpSnmpLib.svg?style=flat-square)](https://www.nuget.org/packages/Lextm.SharpSnmpLib/)
[![Nuget](https://img.shields.io/nuget/dt/Lextm.SharpSnmpLib?style=flat-square)](https://www.nuget.org/packages/Lextm.SharpSnmpLib/)
[![Build](https://img.shields.io/github/actions/workflow/status/lextudio/sharpsnmplib/dotnetcore.yml?branch=master&style=flat-square)](https://github.com/lextudio/sharpsnmplib/actions/workflows/dotnetcore.yml)
[![Coverage](https://img.shields.io/coveralls/github/lextudio/sharpsnmplib?style=flat-square)](https://coveralls.io/github/lextudio/sharpsnmplib)

C# SNMP Library (#SNMP) is a comprehensive SNMP (Simple Network Management Protocol) library for C# and .NET, allowing you to easily integrate SNMP functionalities into your applications.

## Features

- **SNMP v1, v2c, and v3 Support:** Full support for different SNMP versions.
- **Agent and Manager:** Enable both SNMP agent and manager development.
- **Asynchronous Operations:** Utilize async/await for non-blocking operations with easy cancellation support.
- **Extensible:** Easily extend and customize to fit your needs.
- **Cross-Platform:** Compatible with latest platforms of .NET and .NET Framework.

Enterprise MIB support is available in the [Pro Edition](https://pro.sharpsnmp.com).

## Installation

Install the package via the .NET CLI:

```bash
dotnet add package Lextm.SharpSnmpLib
```

Or via NuGet Package Manager:

```bash
Install-Package Lextm.SharpSnmpLib
```

## Documentation

Comprehensive documentation is available at [C# SNMP Library Docs](https://docs.sharpsnmp.com).

[API references can be found here](https://help.sharpsnmp.com).

## Samples

Sample projects can be found in the [samples repository](https://github.com/lextudio/sharpsnmplib-samples).

## License

C# SNMP Library is licensed under the MIT/X11 license.

## Support

For technical support, please visit [this page](https://docs.lextudio.com/sharpsnmplib/support/services), or contact [LeXtudio Inc.](https://www.lextudio.com).

Copyright (c) 2008-2024 Malcolm Crowe, Lex Li, and other contributors.
Copyright (c) 2018-2024 LeXtudio Inc.
